> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Offramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/offramp
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/offramp:
    post:
      tags:
        - Direct FX
      summary: Initiate Offramp
      operationId: offramp
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - stables
                - amount
                - currency
              properties:
                stables:
                  type: string
                  description: Stable coin in which user wants to off-ramp in. (USDC, USDT)
                  enum:
                    - USDC
                    - USDT
                amount:
                  type: string
                  description: >-
                    Amount in (USDC/USDT) that the users wishes to offramp into
                    a USD or NGN bank account. (Min ~ 20 USDT / USDC).
                  default: '20'
                currency:
                  type: string
                  description: Currency in which user wants to receive funds. (NGN,USD)
                  default: NGN
                  enum:
                    - NGN
                    - USD
                bank_name:
                  type: string
                  description: >-
                    Use the "fetch Payment banks" ENDPOINT to fetch the list of
                    supported payment banks. Only the name needs to be passed
                account_number:
                  type: string
                  description: >-
                    Customer's bank account number for where funds should be
                    sent to.
                account_name:
                  type: string
                  description: >-
                    Bank name associated with bank account number provided
                    above.
                wallet_address:
                  type: string
                  description: Origin wallet address where funds would be sent from.
                network:
                  type: string
                  description: >-
                    Wallet address network. Our supported networks are
                    (Arbitrum, Avalanche, Stellar, Base, Polygon, Solana,
                    Stellar, Tron, XRPL)
                routing_number:
                  type: string
                  description: Please provide routing number for USD request.
                account_type:
                  type: string
                  description: Please select either checkings or savings for USD request.
                  default: checkings
                chargeFeeOnRequest:
                  type: boolean
                  description: >-
                    Setting this option to true, allows users see what amount
                    they receive after the fee has been deducted. Currently
                    available for payout to NGN accounts only.
                  default: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": "success",
                        "message": "Transaction Request successful",
                        "transaction": {
                            "transaction_id": "645c31fdedd472fb04b3be53",
                            "business": {
                                "business_id": "0123456789"
                            },
                            "type": "Sell",
                            "reference": "64125118694",
                            "amount": 102094,
                            "account_name": "Tansi Jones",
                            "account_number": "9480948372",
                            "bank_name": "Wema bank",
                            "link_tag": "Link_eng",
                            "date_created": "May 11, 2023"
                        }
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Transaction Request successful
                  transaction:
                    type: object
                    properties:
                      transaction_id:
                        type: string
                        example: 645c31fdedd472fb04b3be53
                      business:
                        type: object
                        properties:
                          business_id:
                            type: string
                            example: '0123456789'
                      type:
                        type: string
                        example: Sell
                      reference:
                        type: string
                        example: '64125118694'
                      amount:
                        type: integer
                        example: 102094
                        default: 0
                      account_name:
                        type: string
                        example: Tansi Jones
                      account_number:
                        type: string
                        example: '9480948372'
                      bank_name:
                        type: string
                        example: Wema bank
                      link_tag:
                        type: string
                        example: Link_eng
                      date_created:
                        type: string
                        example: May 11, 2023
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            text/plain:
              examples:
                Result:
                  value: ''
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````